## Class TApplicationComponent

Description

TApplicationComponent class

TApplicationComponent is the base class for all components that are application-related, such as controls, modules, services, etc.

TApplicationComponent mainly defines a few properties that are shortcuts to some commonly used methods. The Application property gives the application instance that this component belongs to; Service gives the current running service; Request, Response and Session return the request and response modules, respectively; And User gives the current user instance.

Besides, TApplicationComponent defines two shortcut methods for publishing private files: publishAsset and publishFilePath.

- since: 3.0
- version: $Id: TApplicationComponent.php 2112 2007-08-06 18:58:55Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TApplicationComponent.php (line 35)

    TComponent
       |
       --TApplicationComponent

Direct descendents

Class | Description
--- | ---
TModule | TModule class.
TService | TService class.
TLogRoute | TLogRoute class.
TJsonResponse | TJsonResponse Class
TSoapServer | TSoapServer class.
THttpRequest | THttpRequest class
THttpResponseAdapter | THttpResponseAdapter class.
THttpSession | THttpSession class
TCallbackClientScript | TCallbackClientScript class.
TClientScriptManager | TClientScriptManager class.
TControl | TControl class
TControlAdapter | TControlAdapter class
THtmlWriter | THtmlWriter class
TTemplate | TTemplate implements PRADO template parsing logic.
TTheme | TTheme class
TDataGridColumn | TDataGridColumn class

Method Summary
TApplication getApplication ()
THttpRequest getRequest ()
THttpResponse getResponse ()
IService getService ()
THttpSession getSession ()
IUser getUser ()
string publishAsset (string $assetPath, [string $className = null])
string publishFilePath (string $fullPath)
Methods
getApplication (line 40)

- return: current application instance
- access: public

TApplication getApplication ()
getRequest (line 56)

- return: the current user request
- access: public

THttpRequest getRequest ()
getResponse (line 64)

- return: the response
- access: public

THttpResponse getResponse ()

Redefined in descendants as:

- THttpResponseAdapter::getResponse()

getService (line 48)

- return: the current service
- access: public

IService getService ()
getSession (line 72)

- return: user session
- access: public

THttpSession getSession ()
getUser (line 80)

- return: information about the current user
- access: public

IUser getUser ()

Redefined in descendants as:

- TDbUserManager::getUser() : Returns a user instance given the user name.
- TUserManager::getUser() : Returns a user instance given the user name.

publishAsset (line 99)

Publishes a private asset and gets its URL.

This method will publish a private asset (file or directory) and gets the URL to the asset. Note, if the asset refers to a directory, all contents under that directory will be published. Also note, it is recommended that you supply a class name as the second parameter to the method (e.g. publishAsset($assetPath,__CLASS__) ). By doing so, you avoid the issue that child classes may not work properly because the asset path will be relative to the directory containing the child class file.

- return: URL to the asset path.
- access: public

string publishAsset (string $assetPath, [string $className = null])

- string $assetPath: path of the asset that is relative to the directory containing the specified class file.
- string $className: name of the class whose containing directory will be prepend to the asset path. If null, it means get_class($this).

publishFilePath (line 113)

Publishes a file or directory and returns its URL.

- return: URL to the published file or directory
- access: public

string publishFilePath (string $fullPath)

- string $fullPath: absolute path of the file or directory to be published

Redefined in descendants as:

- TAssetManager::publishFilePath() : Publishes a file or a directory (recursively).

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:30:29 -0400 by phpDocumentor 1.3.0RC4